-- #202
CREATE TABLE lineitemproductmaxdownload (
     lineitemproductid    integer  not null
,    downloadproductmapid integer  not null
,    counter              integer  null
,    linkguid             char(36)  null

,   constraint pk_lineitemproductmaxdownload    primary key (lineitemproductid,downloadproductmapid)
,   constraint fk_lineitemmaxdownload_lineitemproduct foreign key (lineitemproductid)
        references lineitemproduct                  (lineitemproductid)
,   constraint fk_lineitemproductmaxdownload_downloadproductmapid foreign key (downloadproductmapid)
        references downloadproductmap               (downloadproductmapid)
)
GO
CREATE INDEX i_lineitemproductmaxdownload_downloadproductmap ON lineitemproductmaxdownload (downloadproductmapid)
GO

CREATE UNIQUE INDEX i_linkguid ON lineitemproductmaxdownload (linkguid)
GO

